; ##############################################################################
; ##############################################################################
; ##############################################################################

; TASTE "MENUE"									
.equ TASTE_MENUE_WERT			= 1
.equ TASTE_MENUE_PIN_NR			= 2
.equ TASTE_MENUE_PIN			= PINB
.equ TASTE_MENUE_DDR			= DDRB
.equ TASTE_MENUE_PORT			= PORTB
; TASTE "PLUS"									
.equ TASTE_PLUS_WERT			= 2
.equ TASTE_PLUS_PIN_NR			= 2
.equ TASTE_PLUS_PIN				= PINC
.equ TASTE_PLUS_DDR				= DDRC
.equ TASTE_PLUS_PORT			= PORTC
; TASTE "MINUS"									
.equ TASTE_MINUS_WERT			= 4
.equ TASTE_MINUS_PIN_NR			= 3
.equ TASTE_MINUS_PIN			= PINC
.equ TASTE_MINUS_DDR			= DDRC
.equ TASTE_MINUS_PORT			= PORTC

; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTATUR_INITIALISIERUNG:	
	; auf EINGANG		
	cbi (TASTE_PLUS_DDR),(TASTE_PLUS_PIN_NR)
	cbi (TASTE_MINUS_DDR),(TASTE_MINUS_PIN_NR)
	cbi (TASTE_MENUE_DDR),(TASTE_MENUE_PIN_NR)
	; PULL-UP ein		
	sbi (TASTE_PLUS_PORT),(TASTE_PLUS_PIN_NR)
	sbi (TASTE_MINUS_PORT),(TASTE_MINUS_PIN_NR)
	sbi (TASTE_MENUE_PORT),(TASTE_MENUE_PIN_NR)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTATUR_ABFRAGE:
	ldi temp9,255
TASTATUR_ABFRAGE_s:
	rcall TASTATUR_ABFRAGE_TEMP
	tst temp
	brne TASTATUR_ABFRAGE_w
	dec temp9
	brne TASTATUR_ABFRAGE_s
	STS(adr_TASTE),temp
	ret
TASTATUR_ABFRAGE_w:
	STS(adr_TASTE),temp
	rcall wait_10ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTATUR_ABFRAGE_TEMP:
	clr temp
	; Taste "MENUE"gedrckt ?		
	sbis (TASTE_MENUE_PIN),(TASTE_MENUE_PIN_NR)				; springe, wenn BIT(PIN) high	
	SBR temp,(TASTE_MENUE_WERT)
	; Taste "PLUS"gedrckt ?		
	sbis (TASTE_PLUS_PIN),(TASTE_PLUS_PIN_NR)				; springe, wenn BIT(PIN) high	
	SBR temp,(TASTE_PLUS_WERT)
	; Taste "MINUS"gedrckt ?		
	sbis (TASTE_MINUS_PIN),(TASTE_MINUS_PIN_NR)				; springe, wenn BIT(PIN) high	
	SBR temp,(TASTE_MINUS_WERT)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTATUR_WAIT:
	ldi temp8,0
	ldi temp9,200
TASTATUR_WAIT_s:
	WDR
	rcall TASTATUR_ABFRAGE_TEMP
	tst temp
	breq TASTATUR_WAIT_w
	ret
TASTATUR_WAIT_w:
	dec temp8
	brne TASTATUR_WAIT_s
	dec temp9
	brne TASTATUR_WAIT_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
