; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BEGRUESSUNG:
	; HELLIGKEIT		
	LDS temp,(adr_HELL_WERT)	
	push temp
	ldi temp,255
	STS(adr_HELL_WERT),temp
;-------------------------------------------------------------------------------
	ldi temp1,BYTE1(2015)
	ldi temp2,BYTE2(2015)
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32
	rcall LED_AUSGABE_TEMP1_4
;-------------------------------------------------------------------------------
	; HELLIGKEIT		
	ldi temp,150
ANZEIGE_BEGRUESSUNG_s:
	STS(adr_HELL_WERT),temp
	rcall WAIT_10ms
	dec temp
	brne ANZEIGE_BEGRUESSUNG_s
	; HELLIGKEIT		
	pop temp
	STS(adr_HELL_WERT),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_VERSION:
	ldi temp1,BYTE1(VERSION)
	ldi temp2,BYTE2(VERSION)
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32
	rcall NULLSTELLENUNTERDRUECKUNG
	ldi temp4,(ZEICHEN_V)
	rcall LED_AUSGABE_TEMP1_4
	rcall WAIT_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_LED_TEST:
	rcall TASTATUR_ABFRAGE_TEMP
	tst temp
	brne ANZEIGE_LED_TEST_RUN
	ret
;-------------------------------------------------------------------------------
ANZEIGE_LED_TEST_RUN:
	STS(adr_LED_BYTE_0),EINS
	STS(adr_LED_BYTE_1),NULL
	STS(adr_LED_BYTE_2),NULL
	STS(adr_LED_BYTE_3),NULL
	ldi temp,32
ANZEIGE_LED_TEST_s:
	LDS temp1,(adr_LED_BYTE_0)
	LDS temp2,(adr_LED_BYTE_1)
	LDS temp3,(adr_LED_BYTE_2)
	LDS temp4,(adr_LED_BYTE_3)
	LSL temp1
	ROL temp2
	ROL temp3
	ROL temp4
	rcall LED_AUSGABE_TEMP1_4
	rcall wait_100ms
	dec temp
	brne ANZEIGE_LED_TEST_s
	rjmp ANZEIGE_LED_TEST
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_MENUE:
	LDS temp1,(adr_MENUE)
	clr temp2
	rcall ANZEIGE_ZAHL_4_STELLEN_TEMP1_TEMP2
	rcall wait_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_HELLIGKEIT:
	LDS temp,(adr_TASTE)
	tst temp
	brne ANZEIGE_HELLIGKEIT_w
;-------------------------------------------------------------------------------
	ldi temp4, (ZEICHEN_H)
	ldi temp3, (ZEICHEN_E)
	ldi temp2, (ZEICHEN_L)
	ldi temp1, (ZEICHEN_L)
	rcall LED_AUSGABE_TEMP1_4
	rcall wait_100ms
	rcall wait_100ms
ANZEIGE_HELLIGKEIT_w:
	LDS temp1,(adr_HELL_WERT)
	rcall ANZEIGE_ZAHL_3_STELLEN_TEMP1
	rcall wait_100ms
	rcall TASTATUR_WAIT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_SCHWELLE_L:
	LDS temp,(adr_TASTE)
	tst temp
	brne ANZEIGE_SCHWELLE_L_w
;-------------------------------------------------------------------------------
	ldi temp4, (ZEICHEN_S)
	ldi temp3, (ZEICHEN_C)
	ldi temp2, (ZEICHEN_H)
	ldi temp1, (ZEICHEN_AUS)
	rcall LED_AUSGABE_TEMP1_4
	rcall wait_100ms
	rcall wait_100ms
ANZEIGE_SCHWELLE_L_w:
	LDS temp1,(adr_HYT939_RH_SCHWELLE_L)
	rcall ANZEIGE_ZAHL_3_STELLEN_TEMP1
	rcall wait_100ms
	rcall TASTATUR_WAIT
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_TWI_TAKT_FREQUENZ:
	ldi temp4, (ZEICHEN_S)
	ldi temp3, (ZEICHEN_C)
	ldi temp2, (ZEICHEN_L)
	ldi temp1, (ZEICHEN_AUS)
	rcall LED_AUSGABE_TEMP1_4
	rcall wait_100ms
	rcall TASTATUR_WAIT
	ldi temp1,BYTE1(TWI_SCL_BERECHNET)
	ldi temp2,BYTE2(TWI_SCL_BERECHNET)
	rcall ANZEIGE_ZAHL_4_STELLEN_TEMP1_TEMP2
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RESET:
	ldi temp4, (ZEICHEN_R)
	ldi temp3, (ZEICHEN_E)
	ldi temp2, (ZEICHEN_S)
	ldi temp1, (ZEICHEN_AUS)
	rcall LED_AUSGABE_TEMP1_4
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_RUN:
	ldi temp4, (ZEICHEN_R)
	ldi temp3, (ZEICHEN_U_)
	ldi temp2, (ZEICHEN_N)
	ldi temp1, (ZEICHEN_AUS)
	rcall LED_AUSGABE_TEMP1_4
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_STRICH4:
	ldi temp1,(ZEICHEN_MINUS)
	ldi temp2,(ZEICHEN_MINUS)
	ldi temp3,(ZEICHEN_MINUS)
	ldi temp4,(ZEICHEN_MINUS)
	rcall LED_AUSGABE_TEMP1_4
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_PUNKT4:
	ldi temp1,(ZEICHEN_PUNKT)
	ldi temp2,(ZEICHEN_PUNKT)
	ldi temp3,(ZEICHEN_PUNKT)
	ldi temp4,(ZEICHEN_PUNKT)
	rcall LED_AUSGABE_TEMP1_4
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_ZAHL_3_STELLEN_TEMP1:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall NULLSTELLENUNTERDRUECKUNG
	ldi temp4,(ZEICHEN_AUS)					; AUS	
	rcall LED_AUSGABE_TEMP1_4
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1+TEMP2															
ANZEIGE_ZAHL_4_STELLEN_TEMP1_TEMP2:
	clr temp3
	clr temp4
 	rcall FUNKTION_HEX_ASC_32				; INPUT: temp1...4 OUTPUT: Temp1...8			
	rcall LED_AUSGABE_TEMP1_4
ret
;######################################################################## 
;######################################################################## 
;######################################################################## 
LED_AUSGABE_TEMP1_4:
	STS(adr_LED_BYTE_3),temp4			; 1000-er Stelle
	STS(adr_LED_BYTE_2),temp3			; 100-er Stelle	
	STS(adr_LED_BYTE_1),temp2			; 10-er Stelle	
	STS(adr_LED_BYTE_0),temp1			; 1-er Stelle	
ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
; STAND: 05.11.2015															
;																			
;	Value: 0...	4.294.967.295 (FFFFFFFF)									
;																			
;	INPUT: 	temp1	(BYTE1)													
;	 		temp2	(BYTE2)													
;			temp3	(BYTE3)													
;			temp4	(BYTE4)													
;																			
;	OUTPUT:	temp1	(		     1-er Stelle)								
;			temp2	(		    10-er Stelle)								
;			temp3	(          100-er Stelle)								
;			temp4	(        1.000-er Stelle)								
;			temp5	(       10.000-er Stelle)								
;			temp6	(      100.000-er Stelle)								
;			temp7	(    1.000.000-er Stelle)								
;			temp8	(   10.000.000-er Stelle)								
;			temp9	(  100.000.000-er Stelle)								
;			R0	   (1.000.000.000-er Stelle)								
; 																			
FUNKTION_HEX_ASC_32:
;---------------------------------------------------------------------------
	clr temp			
FUNKTION_HEX_ASC_109:	; 1.100.000.000
	inc temp
	subi temp1, BYTE1    (1000000000)
	sbci temp2, BYTE2    (1000000000)
	sbci temp3, BYTE3    (1000000000)
	sbci temp4, BYTE4    (1000000000)
	brcc FUNKTION_HEX_ASC_109
	subi temp, (-48+1)	; HEX->ASC	
	mov R0,temp
	subi temp1, BYTE1   (-1000000000)
	sbci temp2, BYTE2   (-1000000000)
	sbci temp3, BYTE3   (-1000000000)
	sbci temp4, BYTE4   (-1000000000)
;---------------------------------------------------------------------------
	clr temp9			
FUNKTION_HEX_ASC_108:	; 100.000.000
	inc temp9
	subi temp1, BYTE1    (100000000)
	sbci temp2, BYTE2    (100000000)
	sbci temp3, BYTE3    (100000000)
	sbci temp4, BYTE4    (100000000)
	brcc FUNKTION_HEX_ASC_108
	subi temp9, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-100000000)
	sbci temp2, BYTE2   (-100000000)
	sbci temp3, BYTE3   (-100000000)
	sbci temp4, BYTE4   (-100000000)
;---------------------------------------------------------------------------
	clr temp8
FUNKTION_HEX_ASC_107:	; 10.000.000
	inc temp8
	subi temp1, BYTE1    (10000000)
	sbci temp2, BYTE2    (10000000)
	sbci temp3, BYTE3    (10000000)
	sbci temp4, BYTE4    (10000000)
	brcc FUNKTION_HEX_ASC_107
	subi temp8, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-10000000)
	sbci temp2, BYTE2   (-10000000)
	sbci temp3, BYTE3   (-10000000)
	sbci temp4, BYTE4   (-10000000)
;---------------------------------------------------------------------------
	clr temp7
FUNKTION_HEX_ASC_106:	; 1.000.000
	inc temp7
	subi temp1, BYTE1    (1000000)
	sbci temp2, BYTE2    (1000000)
	sbci temp3, BYTE3    (1000000)
	brcc FUNKTION_HEX_ASC_106
	subi temp7, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-1000000)
	sbci temp2, BYTE2   (-1000000)
	sbci temp3, BYTE3   (-1000000)
;---------------------------------------------------------------------------
	clr temp6
FUNKTION_HEX_ASC_105:	; 100.000	
	inc temp6
	subi temp1, BYTE1    (100000)
	sbci temp2, BYTE2    (100000)
	sbci temp3, BYTE3    (100000)
	brcc FUNKTION_HEX_ASC_105
	subi temp6, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-100000)
	sbci temp2, BYTE2   (-100000)
	sbci temp3, BYTE3   (-100000)
;---------------------------------------------------------------------------
	clr temp5
FUNKTION_HEX_ASC_104:	; 10.000	
	inc temp5
	subi temp1, BYTE1    (10000)
	sbci temp2, BYTE2    (10000)
	sbci temp3, BYTE3    (10000)
	brcc FUNKTION_HEX_ASC_104
	subi temp5, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1  (-10000)
	sbci temp2, BYTE2  (-10000)
	sbci temp3, BYTE3  (-10000)
;---------------------------------------------------------------------------
	clr temp4
FUNKTION_HEX_ASC_103:	; 1.000		
	inc temp4
	subi temp1, low  (1000)
	sbci temp2, HIGH (1000)
	brcc FUNKTION_HEX_ASC_103
	subi temp4, (-48+1)	; HEX->ASC	
	subi temp1, low  (-1000)
	sbci temp2, HIGH (-1000)
;---------------------------------------------------------------------------
	clr temp3
FUNKTION_HEX_ASC_102:	; 100		
	inc temp3
	subi temp1, low  (100)
	sbci temp2, HIGH (100)
	brcc FUNKTION_HEX_ASC_102
	subi temp3, (-48+1)	; HEX->ASC	
	subi temp1, low  (-100)
	sbci temp2, HIGH (-100)
;---------------------------------------------------------------------------
	clr temp2
FUNKTION_HEX_ASC_101:	; 10		
	inc temp2
	subi temp1, low  (10)
	brcc FUNKTION_HEX_ASC_101
	subi temp2, (-48+1)	; HEX->ASC	
	subi temp1, low  (-10)
;---------------------------------------------------------------------------
FUNKTION_HEX_ASC_100:	; 1			
	subi temp1, -48		; HEX->ASC
;---------------------------------------------------------------------------
; auf 7 SEGNMENT															
	mov temp,temp1
	rcall FUNKTION_7_SEGMENT
	mov temp1,temp

	mov temp,temp2
	rcall FUNKTION_7_SEGMENT
	mov temp2,temp


	mov temp,temp3
	rcall FUNKTION_7_SEGMENT
	mov temp3,temp

	mov temp,temp4
	rcall FUNKTION_7_SEGMENT
	mov temp4,temp

	mov temp,temp5
	rcall FUNKTION_7_SEGMENT
	mov temp5,temp

	mov temp,temp6
	rcall FUNKTION_7_SEGMENT
	mov temp6,temp

	mov temp,temp7
	rcall FUNKTION_7_SEGMENT
	mov temp7,temp

	mov temp,temp8
	rcall FUNKTION_7_SEGMENT
	mov temp8,temp

	mov temp,temp9
	rcall FUNKTION_7_SEGMENT
	mov temp9,temp

	mov temp,R0
	rcall FUNKTION_7_SEGMENT
	mov R0,temp
ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
FUNKTION_7_SEGMENT:
	cpi temp,'0'
	brne FUNKTION_7_SEGMENT_1
	ldi temp, (ZAHL_0)
	ret
FUNKTION_7_SEGMENT_1:
	cpi temp,'1'
	brne FUNKTION_7_SEGMENT_2
	ldi temp, (ZAHL_1)
	ret
FUNKTION_7_SEGMENT_2:
	cpi temp,'2'
	brne FUNKTION_7_SEGMENT_3
	ldi temp, (ZAHL_2)
	ret
FUNKTION_7_SEGMENT_3:
	cpi temp,'3'
	brne FUNKTION_7_SEGMENT_4
	ldi temp, (ZAHL_3)
	ret
FUNKTION_7_SEGMENT_4:
	cpi temp,'4'
	brne FUNKTION_7_SEGMENT_5
	ldi temp, (ZAHL_4)
	ret
FUNKTION_7_SEGMENT_5:
	cpi temp,'5'
	brne FUNKTION_7_SEGMENT_6
	ldi temp, (ZAHL_5)
	ret
FUNKTION_7_SEGMENT_6:
	cpi temp,'6'
	brne FUNKTION_7_SEGMENT_7
	ldi temp, (ZAHL_6)
	ret
FUNKTION_7_SEGMENT_7:
	cpi temp,'7'
	brne FUNKTION_7_SEGMENT_8
	ldi temp, (ZAHL_7)
	ret
FUNKTION_7_SEGMENT_8:
	cpi temp,'8'
	brne FUNKTION_7_SEGMENT_9
	ldi temp, (ZAHL_8)
	ret
FUNKTION_7_SEGMENT_9:
	cpi temp,'9'
	brne FUNKTION_7_SEGMENT_ERROR
	ldi temp, (ZAHL_9)
	ret
FUNKTION_7_SEGMENT_ERROR:
	; ERROR
	ldi temp, (ZEICHEN_E)
	ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
; STAND: 05.11.2015															
NULLSTELLENUNTERDRUECKUNG:
	mov temp,R0
	cpi temp,(ZAHL_0)
	brne NULL_FERTIG
	ldi temp,(ZEICHEN_AUS)
	mov R0,temp

	cpi temp9,(ZAHL_0)
	brne NULL_FERTIG
	ldi temp9,(ZEICHEN_AUS)

	cpi temp8,(ZAHL_0)
	brne NULL_FERTIG
	ldi temp8,(ZEICHEN_AUS)

	cpi temp7,(ZAHL_0)
	brne NULL_FERTIG
	ldi temp7,(ZEICHEN_AUS)

	cpi temp6,(ZAHL_0)
	brne NULL_FERTIG
	ldi temp6,(ZEICHEN_AUS)

	cpi temp5,(ZAHL_0)
	brne NULL_FERTIG
	ldi temp5,(ZEICHEN_AUS)

	cpi temp4,(ZAHL_0)
	brne NULL_FERTIG
	ldi temp4,(ZEICHEN_AUS)

	cpi temp3,(ZAHL_0)
	brne NULL_FERTIG
	ldi temp3,(ZEICHEN_AUS)

	cpi temp2,(ZAHL_0)
	brne NULL_FERTIG
	ldi temp2,(ZEICHEN_AUS)

	cpi temp1,(ZAHL_0)
	brne NULL_FERTIG
	ldi temp1,(ZAHL_0)

NULL_FERTIG:

ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	

